/*
 * @Description: 低代码Store
 * @Author: Ben Lin
 * @version:
 * @Date: 2024-06-18 15:09:47
 * @LastEditors: Ben Lin
 * @LastEditTime: 2024-10-23 22:52:45
 */
import { defineStore } from 'pinia';
import { store } from '@/store';

interface LowCodeState {
  isSearch: { [key: string]: any };
  curCPInfo: any[];
}

export const useLowCodeStore = defineStore({
  id: 'app-LowCode',
  state: (): LowCodeState => ({
    isSearch: {},
    curCPInfo: [],
  }),
  getters: {
    getIsSearch(state): { [key: string]: any } {
      return state.isSearch;
    },
    getCurCPInfo(state): any[] {
      return state.curCPInfo;
    },
  },
  actions: {
    setIsSearch(val: { [key: string]: any }) {
      this.isSearch = val;
    },
    resetState() {
      this.isSearch = {};
      this.curCPInfo = [];
    },
  },
});

// Need to be used outside the setup
export function useQueryWithOut() {
  return useLowCodeStore(store);
}
